%define __libtoolize :
%global momorel 11
%global date 20041001
%global mainver 0.7

Summary: AVI file support library
Name: avifile
Version: 0.7.41
Release: 0.%{date}.%{momorel}m
License: GPL
Group: Development/Libraries
%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/avifile/avifile-%{mainver}-%{version}.tar.gz a08911965d81a02ded95ddb95f63e1cf
#Source0: avifile-%{version}-cvs%{date}.tar.bz2
Patch0: avifile-0.7.38-nocheckqt.patch
Patch1: avifile-0.7.40-kernel2681.patch
Patch2: avifile-__THROW.patch
Patch3: avifile-0.7-0.7.41-ppc.patch
Patch4: avifile-0.7-0.7.41-ugly-relink.patch
URL: http://avifile.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: qt-devel >= 3.3.3-2m, SDL-devel >= 1.2.7-7m
BuildPreReq: automake14

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# ~/rpm/specopt/%{name}.specopt and edit it.

## NOTICE: ENABLING THESE FEATURES MAKES THIS PACKAGE NONFREE!! 
%{?!enable_divx4linux:         %global enable_divx4linux   0}
%if %{enable_divx4linux}
BuildRequires: divx4linux
%endif
BuildRequires: xvid


%description
Libraries and utilities that allows programs to read and write
compressed AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with Win32 DLLs.

%prep
%setup -q -n %{name}-%{mainver}-%{version}
# %%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifarch ppc
%patch3 -p1 -b .ppc~
%endif
%patch4 -p1
aclocal-1.4

%build

%if %{enable_divx4linux}
DIVX4_FLAG="--enable-divx4"
%else
DIVX4_FLAG="--disable-divx4"
%endif

%configure --with-qt --enable-release --enable-lamebin --enable-quiet --enable-xvid4 \
     $DIVX4_FLAG

find -type d -name CVS | xargs rm -rf
find -type f | xargs perl -p -i -e 's,/dev/video,/dev/video0,g'

# Parallel build shall fail!
# please use make -j1
%undefine _smp_mflags
%make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README doc/*
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/avifile*
%{_libdir}/pkgconfig/avifile.pc
%{_includedir}/*
%{_datadir}/aclocal/avifile.m4
%{_datadir}/avifile*
%{_mandir}/man*/*

%changelog
* Sat Feb 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.41-0.20041001.11m)
- use aclocal-1.4
- BuildPreReq: automake14

* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.41-0.20041001.10m)
- no depend aalib

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.41-0.20041001.9m)
- rebuild against SDL-1.2.7-9m

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.41-0.20041001.8m)
- rebuild with lame, xvid.

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.41-0.20041001.7m)
- relink shouldn't link .la from /usr/lib because it's not installed yet...

* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.41-0.20041001.6m)
- enable ppc.

* Wed Nov 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.41-0.20041001.5m)
- sort patch

* Wed Nov 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.41-0.20041001.4m)
- run aclocal

* Tue Nov 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.41-0.20041001.3m)
- fix missing lib*.so* files
- rewind 0.7.41-0.20041001.2m changes

* Sat Nov 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.41-0.20041001.2m)
- use ./configure again

* Sat Nov 13 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.7.41-0.20041001.1m)
- up to 0.7.41, thanks to tom san

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.40-0.20040419.5m)
- rebuild against qt-3.3.3-2m (libstdc++-3.4.1)

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.40-0.20040419.4m)
- rebuild against DirectFB-0.9.21

* Sat Aug 28 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.40-0.20040419.3m)
- add Patch1: avifile-0.7.40-kernel2681.patch

* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.2m)
- revised for xvid-1.0.0rc4 (apiversion 4)

* Thu Apr 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.1m)
- use lateset CVS version (obtained via cvs and not nosrc)
- add avifile-0.7.38-nocheckqt.patch to build aviplay

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.37-0.20030522.2m)
- revised spec for enabling rpm 4.2.

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.37-0.20030522.1m)
  update to 0.7.37-20030522(rebuild against DirectFB 0.9.18)

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.2m)
- rebuild against for XFree86-4.3.0

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.1m)
- version 0.7.32

* Thu Jan 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.27-0.20030122.1m)

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.25-0.20030114.1m)

* Thu Dec 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)
- disable xvid...

* Sat Dec 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.2m)
- add some header files

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.1m)
